#!/bin/sh

echo "Building basfile images..."
for f in 00 20 38 40
do
    echo "Standard image at &${f}C5"
    ./basfile 0x${f}C5
    bin2wav BASFILE${f}C5.BIN BASFILE${f}C5.WAV \
       -t bin -p 1500 -a 0x${f}C5 -s 5 -n "BASFILE${f}C5"
    echo
done

for f in 00 20 38 40
do
    echo "ROM0 image at &${f}C5"
    ./basfile --rom0 0x${f}C5
    bin2wav BASFILE${f}C5-R0.BIN BASFILE${f}C5-R0.WAV \
       -t bin -p 1500 -a 0x${f}C5 -s 5 -n "BASFILE${f}C5-R0"
    echo
done

for f in 00
do
    echo "Bank1 image at &${f}C5"
    ./basfile --bank1 0x${f}C5
    bin2wav BASFILE${f}C5-B1.BIN BASFILE${f}C5-B1.WAV \
       -t bin -p 1500 -a 0x${f}C5 -s 5 -n "BASFILE${f}C5-B1"
    echo
done

for f in 00
do
    echo "ROM0 and Bank1 image at &${f}C5"
    ./basfile --rom0 --bank1 0x${f}C5
    bin2wav BASFILE${f}C5-R0B1.BIN BASFILE${f}C5-R0B1.WAV \
       -t bin -p 1500 -a 0x${f}C5 -s 5 -n "BASFILE${f}C5-R0B1"
    echo
done

exit 0
